libpoppler-glib-devel-0.84.0-1.mga8.i586.rpm


Advertisement

Description

libpoppler-glib-devel - Development files for poppler's glib binding

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename libpoppler-glib-devel-0.84.0-1.mga8.i586.rpm
Package name libpoppler-glib-devel
Package version 0.84.0
Package release 1.mga8
Package architecture i586
Package type rpm
Category Development/C++
Homepage https://poppler.freedesktop.org
License GPLv2+
Maintainer -
Download size 66.57 KB
Installed size 677.27 KB
Development files for poppler's glib binding.

Alternatives

Package Version Architecture Repository
libpoppler-glib-devel - - -

Requires

Name Value
devel(libcairo) -
devel(libfreetype) -
devel(libgcc_s) -
devel(libgio-2.0) -
devel(libglib-2.0) -
devel(libgobject-2.0) -
devel(libm) -
devel(libpoppler) -
devel(libstdc++) -
libpoppler-devel == 0.84.0
libpoppler-gir0.18 == 0.84.0
libpoppler-glib8 == 0.84.0
pkgconfig -
pkgconfig(cairo) >= 1.10.0
pkgconfig(glib-2.0) >= 2.41
pkgconfig(gobject-2.0) >= 2.41
pkgconfig(poppler) == 0.84.0

Provides

Name Value
devel(libpoppler-glib) -
libpoppler-glib-devel == 0.84.0-1.mga8
libpoppler-glib-devel(x86-32) == 0.84.0-1.mga8
pkgconfig(poppler-glib) == 0.84.0
poppler-glib-devel == 0.84.0-1.mga8

Conflicts

Name Value
libpoppler-devel < 0.84.0-1.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libpoppler-glib-devel-0.84.0-1.mga8.i586.rpm
Source Package poppler-0.84.0-1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libpoppler-glib-devel rpm package:
    # urpmi libpoppler-glib-devel

Files

Path
/usr/include/poppler/glib/poppler-action.h
/usr/include/poppler/glib/poppler-annot.h
/usr/include/poppler/glib/poppler-attachment.h
/usr/include/poppler/glib/poppler-date.h
/usr/include/poppler/glib/poppler-document.h
/usr/include/poppler/glib/poppler-enums.h
/usr/include/poppler/glib/poppler-features.h
/usr/include/poppler/glib/poppler-form-field.h
/usr/include/poppler/glib/poppler-layer.h
/usr/include/poppler/glib/poppler-macros.h
/usr/include/poppler/glib/poppler-media.h
/usr/include/poppler/glib/poppler-movie.h
/usr/include/poppler/glib/poppler-page.h
/usr/include/poppler/glib/poppler-structure-element.h
/usr/include/poppler/glib/poppler.h
/usr/lib/libpoppler-glib.so
/usr/lib/pkgconfig/poppler-glib.pc
/usr/share/gir-1.0/Poppler-0.18.gir

Changelog

2020-01-23 - wally <wally> 0.84.0-1.mga8
+ Revision: 1482539
- new version 0.84.0
- new lib major 94
- build with new cmake macros
2019-12-20 - wally <wally> 0.83.0-1.mga8
+ Revision: 1469192
- new version 0.83.0
- new lib major 93
2019-10-30 - wally <wally> 0.82.0-1.mga8
+ Revision: 1456840
- new version 0.82.0
- new lib major 92
2019-10-09 - wally <wally> 0.81.0-1.mga8
+ Revision: 1450873
- new version 0.81.0
- new lib major 91
- drop old obsoletes
2019-09-19 - wally <wally> 0.80.0-2.mga8
+ Revision: 1443924
- make devel pkg to require boost-devel
2019-09-15 - wally <wally> 0.80.0-1.mga8
+ Revision: 1441595
- new version 0.80.0
- new lib major 90
2019-09-13 - ns80 <ns80> 0.79.0-2.mga8
+ Revision: 1440212
- add patch for CVE-2019-10871 (mga#25432)
2019-07-20 - wally <wally> 0.79.0-1.mga8
+ Revision: 1423101
- new version 0.79.0
2019-07-13 - wally <wally> 0.78.0-1.mga8
+ Revision: 1421005
- new version 0.78.0
- new major 89
- drop upstreamed patches
2019-04-01 - umeabot <umeabot> 0.74.0-3.mga7
+ Revision: 1384055
- Qt5 Rebuild

See Also

Package Description
libpoppler-glib8-0.84.0-1.mga8.i586.rpm PDF rendering library - glib binding
libpoppler-qt5-devel-0.84.0-1.mga8.i586.rpm Development files for poppler-qt5
libpoppler-qt5_1-0.84.0-1.mga8.i586.rpm PDF rendering library - Qt5 backend
libpoppler94-0.84.0-1.mga8.i586.rpm PDF rendering library
libpopt-devel-1.16-15.mga8.i586.rpm Development headers and libraries for popt
libpopt0-1.16-15.mga8.i586.rpm Main popt library
libportal-devel-0.3-1.mga8.i586.rpm Development files and libraries for libportal
libportal-devel-doc-0.3-1.mga8.noarch.rpm Development documentation for libportal
libportal0-0.3-1.mga8.i586.rpm Flatpak portal library
libportaudio-devel-19.6.0-snapshot20161030.7.mga8.i586.rpm Static library and header files for the PortAudio library
libportaudio2-19.6.0-snapshot20161030.7.mga8.i586.rpm Cross platform audio I/O library
libportaudiocpp0-19.6.0-snapshot20161030.7.mga8.i586.rpm Cross platform audio I/O library
libportmidi-devel-217-15.mga8.i586.rpm Development files for PortMidi
libportmidi0-217-15.mga8.i586.rpm Real-time MIDI input/output, audio I/O library
libpostfix1-3.4.9-1.mga8.i586.rpm Shared libraries required to run Postfix
Advertisement
Advertisement